/*
* demo.css
* File include item demo only specific css only
******************************************************************************/
@media screen and (max-width: 991px) {
    .bg-footer-theme{
        left: 0!important;
    }
}
div.table-responsive > div.dataTables_wrapper > div.row {
    margin: 15px !important;
  }
.img-50{
    height: 50px;
    width: 50px;
    border-radius: 50px;
    border: 1px solid #f1416c;
}
.img-100{
    height: 100px;
    width: 100px;
    border: 1px solid #f1416c;
}
.menu .app-brand.demo {
  height: 64px;
  margin-top: 12px;
}

.app-brand-logo.demo svg {
  width: 22px;
  height: 38px;
}

.app-brand-text.demo {
  font-size: 1.75rem;
  letter-spacing: -0.5px;
  text-transform: lowercase;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
/* Detached navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 76px !important;
}
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}


.bg-menu-theme .menu-inner-shadow {
    
}
.bg-menu-theme{
    background: #131313!important;
}

.bg-menu-theme .menu-inner > .menu-item .menu-link{
     color: #9D9DA6!important;
}

.bg-menu-theme .menu-inner > .menu-item.active .menu-link{
    color: #F1416C!important;
    background-color: #f3b8c71a!important;
}
.bg-menu-theme .menu-inner > .menu-item.active:before {
    background: #F1416C!important;
    
}
.btn-primary{
    color: #fff!important;
    background-color: #F1416C!important;
    border-color: #F1416C!important;
    box-shadow: 0 0.125rem 0.25rem 0 rgb(17 17 17 / 42%)!important;
}
.btn-primary:hover{
    background-color: #111!important;
    border-color: #111!important;
    color: #fff!important;
}
a:hover{
    color: #000!important;
}
a{
    color: #F1416C!important;
}
.btn-danger{
    background-color: #111!important;
    border-color: #111!important;
    color: #fff!important;
     box-shadow: 0 0.125rem 0.25rem 0 rgb(17 17 17 / 42%)!important;
}
.btn-danger:hover{
      color: #fff!important;
    background-color: #F1416C!important;
    border-color: #F1416C!important;
   
}
.bg-label-primary{
        background-color: #f1416c26 !important;
        color: #f1416c !important;
}
.text-primary{
    color: #f1416c !important;
}
.btn-outline-primary:hover{
    color: #fff!important;
    background-color: #f1416c!important;
    border-color: #f1416c!important;
}
.btn-outline-primary{
    border-color: #f1416c!important;
    color: #f1416c!important;
}
.form-control:focus, .form-select:focus{
    border-color: #f1416c!important;
}
.btn-check:checked + .btn-outline-primary, .btn-check:active + .btn-outline-primary, .btn-outline-primary:active, .btn-outline-primary.active, .btn-outline-primary.dropdown-toggle.show{
    background-color: #f1416c!important;
    color: #fff!important;
}
.nav .nav-link:hover, .nav .nav-link:focus{
    color: #f1416c!important;
}
.nav-pills .nav-link.active, .nav-pills .nav-link.active:hover, .nav-pills .nav-link.active:focus{
    background-color: #f1416c!important;
    color: #fff!important;
}
.dropdown-item:not(.disabled).active, .dropdown-item:not(.disabled):active{
    color: #f1416c!important;
        background-color: #f3b8c71a!important;
}
.cst-checkbox{
    display: inline;
}
.cst-checkbox label {
    width: 20%;
}
.menu .app-brand.demo{
    margin-top: 0px!important;
    background: rgb(49, 28, 28);
    margin-bottom: 5px;
}
.app-brand-logo img, .app-brand-logo svg{
    width: 58%;
  padding-left: 33px;
}

.menu-vertical .menu-inner > .menu-item .menu-link {
      margin: 0.1rem 0.2rem;
    font-size: 15px;
    font-weight: 600;
}
.menu-vertical .menu-inner > .menu-item .menu-link:hover{
    color: #F1416C!important;
}
.menu-vertical, .menu-vertical .menu-block, .menu-vertical .menu-inner > .menu-item, .menu-vertical .menu-inner > .menu-header {
    width: 18.25rem;
}

.app-chat .app-chat-history .chat-history-body .chat-history .chat-message:not(.chat-message-right) .chat-message-text{
        background-color: #333;
        box-shadow: 0 0.125rem 0.25rem rgb(161 172 184 / 40%);
        color: #fff;
}
.app-chat .app-chat-history .chat-history-body .chat-history .chat-message.chat-message-right .chat-message-text{
        background: #e73f6b;
        color: #fff;
}
.app-chat .sidebar-body .chat-contact-list li.active {
    background-color: #e73f6b;
    color: #fff!important;
}
.app-chat .sidebar-body .chat-contact-list li.active .chat-contact-name{
    color: #fff;
}
.app-chat .sidebar-body .chat-contact-list li.active .text-muted{
    color: #fff!important;
}
.input-group:focus-within .form-control, .input-group:focus-within .input-group-text{
    border-color: #e73f6b;
}
.app-brand .layout-menu-toggle{
    background-color: #f1416c;
}

.app-chat.card{
    background-color: #111;
    border: 3px solid #de3d6a59;
}
.chat-contact-info h6{
    color: #fd3970;
    font-weight: 600;
}
.app-chat .app-chat-history .chat-history-footer {
    box-shadow: 0px 0px 5px rgb(222 61 106 / 80%);
}
.app-sidebar .sidebar-header .input-group-text{
    background-color: transparent;
}
.app-sidebar .sidebar-header .form-control{
    background-color: transparent;
}
.app-chat .app-chat-history .chat-history-footer form .form-control{
    background-color: transparent;
}
.card hr{
    color: #a1acb8!important;
}
.app-chat .app-chat-contacts.border-end{
    border-color: #a1acb8!important;
}
.app-chat .app-chat-history .chat-history-header.border-bottom{
    border-color: #a1acb8!important;
}
/* .bg-footer-theme{
       background-color: #111111 !important;
    color: #fff;
    box-shadow: 0 -1px 0 #de3d6a59;
    position: fixed;
    bottom: 0;
    left: 16.25rem;
    right: 0;
} */
.bg-footer-theme .footer-link {
    color: #F1416C!important;
}
.bg-footer-theme .footer-link:hover{
    text-decoration: underline;
    color: #fff!important;
}
.bg-label-danger {
    background-color: rgb(17 17 17 / 20%) !important;
    color: #111111 !important;
}
.swal2-styled.swal2-confirm{
    background-color: #111!important;
    box-shadow: 0 0 0 3px rgb(17 17 17 / 50%)!important;
}
.swal2-styled.swal2-cancel{
    background-color: #f1416c!important;
    box-shadow: 0 0 0 3px #f1416c73!important;
}
.btn-outline-secondary{
    border-color: #111!important;
}
.btn-outline-secondary:hover{
    background-color: #111!important;
    border-color: #111!important;
}
.card.dash{
    border: 1px dashed #e73f6b;
    transition: 0.3s;
}
.card.dash:hover{
    border-color: #111;
    transform: translateY(-3px);
}